---
search:
  tags:
    - Themes
    - PUT
seo:
  description: >-
    Promotes the dev theme to production. The current production theme is
    archived… Reference for the PUT /themes/{id}/publication endpoint in the
    Bolder API v2.
sidebar:
  label: Publish a dev theme
  badge: PUT
title: Publish a dev theme
type: openapi-operation
---
Promotes the dev theme to production. The current production theme is
archived and the dev theme becomes the new live theme.
Only available when `store:publish_theme` is present in the dev theme's links.

`PUT /themes/{id}/publication`

**Responses**

- `200` — Theme published — returns the now-production theme
- `401` — Unauthorized
- `403` — Access denied
- `404` — Theme not found

Response example, 200:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": "string",
  "linked": true,
  "parent_id": "string",
  "production": true,
  "public": true,
  "accessible": true,
  "title": "string",
  "settings": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z",
  "_embedded": {
    "templates": [
      {
        "_links": {
          "property1": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          },
          "property2": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          }
        },
        "id": "string",
        "file_name": "layout.html",
        "path": "string",
        "body": "string",
        "is_section": true,
        "schema": {},
        "parent_commit": "string",
        "updated_on": "2019-08-24T14:15:22Z"
      }
    ],
    "assets": [
      {
        "_links": {
          "property1": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          },
          "property2": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          }
        },
        "id": "string",
        "file_name": "logo.png",
        "content_type": "image/png",
        "file_size": 0,
        "digest": "string",
        "url": "string",
        "updated_on": "2019-08-24T14:15:22Z"
      }
    ]
  }
}
```
